package envoy.client.ui;

import java.util.*;
import java.util.LinkedList;

import javax.swing.AbstractListModel;

import envoy.client.EnvoyClient;
import envoy.schema.User;
import envoy.schema.Users;

public class UserJListModel extends AbstractListModel {

	public EnvoyClient envoyClient = new EnvoyClient();
	Users users = envoyClient.getUsersListXml();
	private List<User> userList = new LinkedList<>();
	
	public UserJListModel() {
		users.getUser().forEach(user -> userList.add(user));
	}
	
	
	@Override
	public int getSize() {
		return userList.size();
	}

	@Override
	public Object getElementAt(int index) {
		return userList.get(index).getName();
	}
	
	public long getElementID(int index) {
		return userList.get(index).getID();
	}
	

}
